/*
# tacyas : $Revision$  
# $Date$ 
# Created by $Author$
# Usage : tacyas
# Attention
#   $Loccker$
#  	$State$ 
#
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>                  
#define GLOBAL_DECLARATION
#include "../inc/config.h"

#define DEBUG
#include "genUtil.h"

/*
Example:
typedef struct ltacyasInfo {
	float a;
	int   b;
} ltacyasInfo;

typedef enum ltacyasMode {
	a=0,
	b=1
} ltacyasMode;
*/

int
main(int argc, char* argv[]) 
{
	tacyasInfo info;

	init0(&info);
    argCheck(&info, argc, argv);
    init1(&info);

	DEBUGPRINT("Program Start\n");

	fprintf(info.fptOut, "%d\n", info.num);

	exit(EXIT_SUCCESS);
}

void
additionalUsage()
{
	fprintf(stderr, "----- Additional Usage -----\n");
}
